Reverse manual journal entry
POST
/api/accounting/journal-entries/{id}/reverse
const url = 'https://api.getvespy.com/api/accounting/journal-entries/example/reverse';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"reversalDate":"2026-04-15"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/accounting/journal-entries/example/reverse \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "reversalDate": "2026-04-15" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
reversalDate
string format: date
Examplegenerated
{ "reversalDate": "2026-04-15"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
journalEntry
required
object
createdAt
required
string format: date-time
createdByUserId
required
string format: uuid
creditTotalCents
required
integer
debitTotalCents
required
integer
id
required
string format: uuid
lines
required
Array<object>
object
accountCode
required
string
accountId
required
string format: uuid
accountName
required
string
creditCents
required
integer
debitCents
required
integer
description
required
string
id
required
string format: uuid
ownerId
required
string format: uuid
propertyId
required
string format: uuid
unitId
required
string format: uuid
memo
required
string
occurredAt
required
string format: date-time
organizationId
required
string format: uuid
reversedById
required
string format: uuid
status
required
string
Example
{ "journalEntry": { "status": "draft" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}